<?php

namespace App\Http\Controllers\Webprofile\Front;

use App\Http\Controllers\Controller;
use App\Models\Webprofile\Design;
use App\Models\Webprofile\Menu;
use App\Models\Webprofile\Pages;
use Session;

class PageController extends Controller
{
    public function index($title)
    {
        $setting = webprofilesetting();

        if (!Session::has('selected_language')) {
            session(['selected_language' => 'id']);
        }

        if (Session::get('selected_language') == 'id') {
            $data = $this->getDataId($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.page', $data);
        } elseif (Session::get('selected_language') == 'en') {
            $data = $this->getDataEn($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.en.page', $data);
        } elseif (Session::get('selected_language') == 'de') {
            $data = $this->getDataDe($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.de.page', $data);
        } elseif (Session::get('selected_language') == 'ar') {
            $data = $this->getDataSa($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.ar.page', $data);
        } elseif (Session::get('selected_language') == 'zh') {
            $data = $this->getDataZh($setting, $title);

            return view('webprofile.front.'.$setting['theme'].'.zh.page', $data);
        }
    }

    public function getDataId($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Pages::where('slug', $title)->first();
        $menu = Menu::orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataEn($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Pages::with(['rEn'])->where('slug', $title)->first();
        $menu = Menu::with(['rEn'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataDe($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Pages::with(['rDe'])->where('slug', $title)->first();
        $menu = Menu::with(['rDe'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataSa($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Pages::with(['rSa'])->where('slug', $title)->first();
        $menu = Menu::with(['rSa'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataZh($setting, $title)
    {
        $setting = webprofilesetting();
        $data = Pages::with(['rZh'])->where('slug', $title)->first();
        $menu = Menu::with(['rZh'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $viewer['viewer'] = (int) $data->viewer + 1;
        $data->update($viewer);

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'footer' => $footer,
        ];

        return $data;
    }
}
